# Firebase Realtime Database Arduino Library

[![Download](https://img.shields.io/badge/download-ZIP%20file-FF7043?style=for-the-badge&logo=icloud&logoColor=white&labelColor=23272E)](https://github.com/Rupakpoddar/Firebase-Arduino-Library/archive/refs/heads/main.zip)
[![Platform](https://img.shields.io/badge/platform-ESP8266%20|%20ESP32%20|%20UNO%20R4%20WiFi-00979D?style=for-the-badge&logo=arduino&logoColor=white&labelColor=23272E)](https://github.com/Rupakpoddar/Firebase-Arduino-Library)
[![License](https://img.shields.io/github/license/Rupakpoddar/Firebase-Arduino-Library?style=for-the-badge&logo=github&logoColor=white&labelColor=23272E&color=007ACC)](https://github.com/Rupakpoddar/Firebase-Arduino-Library/blob/main/LICENSE)

This Arduino library enables seamless connectivity with Firebase Realtime Database on ESP8266, ESP32, and Arduino UNO R4 WiFi boards. It's designed for reliable, low-latency operations, including reading, writing, updating, and removing data from the Firebase Realtime Database.

## Features

- **Cross-Board Compatibility**: Supports ESP8266, ESP32, and Arduino UNO R4 WiFi.
- **Low Latency**: Optimized for quick data transactions.
- **Full Database Control**: Easily read, write, update, and delete data.
- **JSON Support**: Compatible with JSON format and integrates with ArduinoJson library.
- **Arduino Cloud Support**: Available for use in Arduino Cloud projects.
- **WebNest Integration**: Compatible with [WebNest](https://rupakpoddar.github.io/WebNest/) for enhanced web-based control and monitoring.

---

**Read More**: For more information, please visit the [Arduino Reference Documentation](https://www.arduino.cc/reference/en/libraries/firebase/).

---

**Author**: Rupak Poddar
